curl -G https://api.mavioapp.com/v1/calendar/events \
-H "Authorization: Bearer mvo_live_abc123" \
-d from=2026-04-14T00:00:00Z \
-d to=2026-04-21T00:00:00Z \
-d recording_status=scheduled
{
"data": [
{
"id": "evt_g1c2a3l4",
"title": "Weekly Product Sync",
"start_time": "2026-04-15T14:00:00Z",
"end_time": "2026-04-15T14:45:00Z",
"provider": "google",
"meeting_platform": "google_meet",
"meeting_url": "https://meet.google.com/abc-defg-hij",
"recording_status": "scheduled",
"meeting_id": null,
"attendees": ["alice@example.com", "bob@example.com", "carol@example.com"]
}
],
"pagination": {
"total": 12,
"limit": 20,
"offset": 0,
"has_more": false
}
}
Retrieve upcoming and past calendar events with their recording status.
curl -G https://api.mavioapp.com/v1/calendar/events \
-H "Authorization: Bearer mvo_live_abc123" \
-d from=2026-04-14T00:00:00Z \
-d to=2026-04-21T00:00:00Z \
-d recording_status=scheduled
{
"data": [
{
"id": "evt_g1c2a3l4",
"title": "Weekly Product Sync",
"start_time": "2026-04-15T14:00:00Z",
"end_time": "2026-04-15T14:45:00Z",
"provider": "google",
"meeting_platform": "google_meet",
"meeting_url": "https://meet.google.com/abc-defg-hij",
"recording_status": "scheduled",
"meeting_id": null,
"attendees": ["alice@example.com", "bob@example.com", "carol@example.com"]
}
],
"pagination": {
"total": 12,
"limit": 20,
"offset": 0,
"has_more": false
}
}
google or outlook.scheduled, recording, completed, skipped.Show Calendar event object
google or outlook.zoom, google_meet, microsoft_teams, or null.scheduled (bot will join), recording (in progress), completed (recorded), skipped (not recorded).null if not yet recorded.curl -G https://api.mavioapp.com/v1/calendar/events \
-H "Authorization: Bearer mvo_live_abc123" \
-d from=2026-04-14T00:00:00Z \
-d to=2026-04-21T00:00:00Z \
-d recording_status=scheduled
{
"data": [
{
"id": "evt_g1c2a3l4",
"title": "Weekly Product Sync",
"start_time": "2026-04-15T14:00:00Z",
"end_time": "2026-04-15T14:45:00Z",
"provider": "google",
"meeting_platform": "google_meet",
"meeting_url": "https://meet.google.com/abc-defg-hij",
"recording_status": "scheduled",
"meeting_id": null,
"attendees": ["alice@example.com", "bob@example.com", "carol@example.com"]
}
],
"pagination": {
"total": 12,
"limit": 20,
"offset": 0,
"has_more": false
}
}